IDA SDK

- Main Page
- Header Files
- Classes
- Modules

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ui_requests_t Class Reference

## Detailed Description

List of UI requests.

The ui_request_t is allocated by the caller but its ownership is transferred to the execute_ui_requests(). The ui_request_t instance will be deleted as soon as it is executed and was not rescheduled for another run.

Inherits qlist< ui_request_t * >.

## Public Member Functions
| ui_requests_t ()
| Constructor.
Public Member Functions inherited from qlist< ui_request_t * >
iter | qlist (void)
| Constructor.
| qlist (const qlist< ui_request_t * > &x)
| Constructor - creates a qlist identical to 'x'.
| ~qlist (void)
| Destructor.
qlist< ui_request_t * > & | operator= (const qlist< ui_request_t * > &x)
| Construct a new qlist using '='.
void | swap (qlist< ui_request_t * > &x)
| Set this = x and x = this, without copying any memory.
iterator | begin (void)
| Get a pointer to the head of the list.
const_iterator | begin (void) const
| Get a pointer to the head of the list. More...
iterator | end (void)
| Get a pointer to the end of the list.
const_iterator | end (void) const
| Get a pointer to the end of the list. More...
bool | empty (void) const
| Get true if the list has 0 elements.
size_t | size (void) const
| Get the number of elements in the list.
ui_request_t * & | front (void)
| Get the first element in the list.
const ui_request_t * & | front (void) const
| Get the first element in the list. More...
ui_request_t * & | back (void)
| Get the last element in the list.
const ui_request_t * & | back (void) const
| Get a pointer to the end of the list. More...
reverse_iterator | rbegin ()
| Get a reverse iterator that points to end of list. See DEFINE_REVERSE_ITERATOR.
const_reverse_iterator | rbegin () const
| See rbegin()
reverse_iterator | rend ()
| Get a reverse iterator that points to beginning of list. See DEFINE_REVERSE_ITERATOR.
const_reverse_iterator | rend () const
| See rend()
iterator | insert (iterator p, const ui_request_t * &x)
| Insert an element into the qlist. More...
ui_request_t * & | insert (iterator p)
| Insert an empty element into the qlist. More...
void | insert (iterator p, it2 first, it2 last)
| Insert all elements between 'first' and 'last' (non-inclusive) at position pointed to by 'p'.
void | push_front (const ui_request_t * &x)
| Insert at beginning of list.
void | push_back (const ui_request_t * &x)
| Insert at end of list.
ui_request_t * & | push_back (void)
| Insert empty element at end of list.
void | erase (iterator p)
| Erase element at position pointed to by 'p'.
void | erase (iterator p1, iterator p2)
| Erase all elements between 'p1' and 'p2'.
void | clear (void)
| Erase all elements in the qlist.
void | pop_front (void)
| Erase first element of the qlist.
void | pop_back (void)
| Erase last element of the qlist.
bool | operator== (const qlist< ui_request_t * > &x) const
| Compare two qlists with '=='.
bool | operator!= (const qlist< ui_request_t * > &x) const
| Compare two qlists with !=.

## Additional Inherited Members
Public Attributes inherited from qlist< ui_request_t * >
| __pad0__
Public Types inherited from qlist< ui_request_t * >
typedef ui_request_t * | value_type

The documentation for this class was generated from the following file:

- kernwin.hpp